# $Revision: 1.24 $, $Date: 2002/07/22 21:35:13 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Expect
%define		pnam	Expect
Summary:	Expect Perl module
Summary(cs):	Modul Expect pro Perl
Summary(da):	Perlmodul Expect
Summary(de):	Expect Perl Modul
Summary(es):	Mdulo de Perl Expect
Summary(fr):	Module Perl Expect
Summary(it):	Modulo di Perl Expect
Summary(ja):	Expect Perl ⥸塼
Summary(ko):	Expect  
Summary(no):	Perlmodul Expect
Summary(pl):	Modu perla Expect
Summary(pt_BR):	Mdulo Perl Expect
Summary(pt):	Mdulo de Perl Expect
Summary(ru):	  Perl Expect
Summary(sv):	Expect Perlmodul
Summary(uk):	  Perl Expect
Summary(zh_CN):	Expect Perl ģ
Name:		perl-Expect
Version:	1.15
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
Patch0:		%{name}-paths.patch
BuildRequires:	perl >= 5.6
BuildRequires:	perl-IO-Tty
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Expect Perl module - expect for Perl. In this version perl-IO-Stty
module is not required, but recommended (needed to change pty mode).

%description -l pl
Modu Perla Expect - expect dla Perla. W tej wersji modu perl-IO-Stty
nie jest ju wymagany, ale zalecany (potrzebny do zmiany trybu
pseudoterminala).

%prep
%setup -q -n %{pnam}-%{version}
%patch -p1

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README tutorial
%{perl_sitelib}/Expect.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Expect.spec,v $
Revision 1.24  2002/07/22 21:35:13  ankry
- translations, cleaning

Revision 1.23  2002/07/21 12:24:14  qboosh
- perl-IO-Stty is now optional
- removed *.pod from package
- release 2

Revision 1.22  2002/07/11 11:43:43  qboosh
- new %%doc, cosmetics

Revision 1.21  2002/07/11 07:58:54  depesz
- new version; should work; STBR

Revision 1.20  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/03/03 22:28:36  marcus
- rel.3.

Revision 1.18  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/22 03:11:12  kloczek
- release 2.

Revision 1.16  2002/02/10 15:26:03  depesz
adapterized

Revision 1.15  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/10/18 11:11:43  mis
- autoupdated to 1.12

Revision 1.13  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.12  2001/04/17 12:08:23  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/03/08 15:02:57  mis
- updated (by autoup) to 1.11

Revision 1.9  2001/02/19 13:46:10  mis
- updated (by autoup) to 1.10

Revision 1.8  2001/01/02 11:00:58  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:34  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:49  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
